+++ /dev/null
-#!/bin/bash
-
-##
-## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
-## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
-##
-
-if [ -e /proc/sys/kernel/modules_disabled ]; then
- ( sleep 60;
- echo 1 > /proc/sys/kernel/modules_disabled || true
- ) & disown
-fi
-
-touch /var/run/reboot-lock
}
file { '/etc/rc.local':
mode => '0755',
- source => 'puppet:///modules/debian-org/rc.local',
+ content => template('debian-org/rc.local.erb'),
notify => Exec['service rc.local start'],
}
file { '/etc/dsa':
--- /dev/null
+#!/bin/bash
+
+##
+## THIS FILE IS UNDER PUPPET CONTROL. DON'T EDIT IT HERE.
+## USE: git clone git+ssh://$USER@puppet.debian.org/srv/puppet.debian.org/git/dsa-puppet.git
+##
+
+if [ -e /proc/sys/kernel/modules_disabled ]; then
+ ( sleep 60;
+ echo 1 > /proc/sys/kernel/modules_disabled || true
+ ) & disown
+fi
+
+touch /var/run/reboot-lock
+<%- if hostname == "zani" then -%>
+ if [ -n "$(awk '$4 == "dasdb1" && $3 == "249999" {print}' /proc/partitions)" ]; then
+ mkswap /dev/dasdb1 && swapon /dev/dasdb1
+ fi
+<%- end -%>